Package com.sas.rio

# Class MVAPreparedStatement

java.lang.Object
com.sas.rio.MVAStatement
com.sas.rio.MVAPreparedStatement

All Implemented Interfaces:
  com.sas.rio.RIOStatementInterface, `com.sas.sql.RIOStatement`, `AutoCloseable`, `PreparedStatement`, `Statement`, `Wrapper`

Direct Known Subclasses:
  `MVACallableStatement`

public class MVAPreparedStatement extends MVAStatement implements PreparedStatement
An object that represents a precompiled SQL statement.

A SQL statement is precompiled and stored in a `PreparedStatement` object. This object can then be used to efficiently execute this statement multiple times.

See Also:
  - `PreparedStatement`

- ## Field Summary

  ### Fields inherited from class com.sas.rio.MVAStatement

  `_closeOnCompletion, _currentResultSet, describe, librefs, m_sasifyTableNames, maxFieldSize`

  ### Fields inherited from interface java.sql.Statement

  `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addBatch()`
  `void`
  `clearParameters()`
  `boolean`
  `execute()`
  `ResultSet`
  `executeQuery()`
  `int`
  `executeUpdate()`
  `ResultSetMetaData`
  `getMetaData()`
  `ParameterMetaData`
  `getParameterMetaData()`
  The MVAPreparedStatement implementation of `getParameterMetaData()` is not supported.
  `void`
  `setArray(int parameterIndex, Array x)`
  The MVAPreparedStatement implementation of `setArray(int, java.sql.Array)` is not supported.
  `void`
  `setAsciiStream(int parameterIndex, InputStream x)`
  The MVAPreparedStatement implementation of `setAsciiStream(int, java.io.InputStream)` is not supported.
  `void`
  `setAsciiStream(int parameterIndex, InputStream x, int length)`
  The MVAPreparedStatement implementation of `setAsciiStream(int, java.io.InputStream, int)` is not supported.
  `void`
  `setAsciiStream(int parameterIndex, InputStream x, long length)`
  The MVAPreparedStatement implementation of `setAsciiStream(int, java.io.InputStream, long)` is not supported.
  `void`
  `setBigDecimal(int parameterIndex, BigDecimal x)`
  The MVAPreparedStatement implementation of `setLong(int, BigDecimal)` is not supported.
  `void`
  `setBinaryStream(int parameterIndex, InputStream x)`
  The MVAPreparedStatement implementation of `setBinaryStream(int, java.io.InputStream)` is not supported.
  `void`
  `setBinaryStream(int parameterIndex, InputStream x, int length)`
  Sets a parameter to a Java java.io.InputStream.
  `void`
  `setBinaryStream(int parameterIndex, InputStream x, long length)`
  The MVAPreparedStatement implementation of `setBinaryStream(int, java.io.InputStream, long)` is not supported.
  `void`
  `setBlob(int parameterIndex, InputStream inputStream)`
  The MVAPreparedStatement implementation of `setBlob(int, java.io.InputStream)` is not supported.
  `void`
  `setBlob(int parameterIndex, InputStream inputStream, long length)`
  The MVAPreparedStatement implementation of `setBlob(int, java.io.InputStream, long)` is not supported.
  `void`
  `setBlob(int parameterIndex, Blob x)`
  The MVAPreparedStatement implementation of `setBlob(int, java.sql.Blob)` is not supported.
  `void`
  `setBoolean(int parameterIndex, boolean x)`
  `void`
  `setByte(int parameterIndex, byte x)`
  `void`
  `setBytes(int parameterIndex, byte[] x)`
  Sets a parameter to a Java byte array value.
  `void`
  `setCharacterStream(int parameterIndex, Reader reader)`
  The MVAPreparedStatement implementation of `setCharacterStream(int, java.io.Reader)` is not supported.
  `void`
  `setCharacterStream(int parameterIndex, Reader reader, int length)`
  The MVAPreparedStatement implementation of `setCharacterStream(int, java.io.Reader, int)` is not supported.
  `void`
  `setCharacterStream(int parameterIndex, Reader reader, long length)`
  The MVAPreparedStatement implementation of `setCharacterStream(int, java.io.Reader, long)` is not supported.
  `void`
  `setClob(int parameterIndex, Reader reader)`
  The MVAPreparedStatement implementation of `setClob(int, java.io.Reader)` is not supported.
  `void`
  `setClob(int parameterIndex, Reader reader, long length)`
  The MVAPreparedStatement implementation of `setClob(int, java.io.Reader, long)` is not supported.
  `void`
  `setClob(int parameterIndex, Clob x)`
  The MVAPreparedStatement implementation of `setClob(int, java.sql.Clob)` is not supported.
  `void`
  `setDate(int parameterIndex, Date x)`
  `void`
  `setDate(int parameterIndex, Date x, Calendar cal)`
  `void`
  `setDouble(int parameterIndex, double x)`
  `void`
  `setFloat(int parameterIndex, float x)`
  `void`
  `setInt(int parameterIndex, int x)`
  `void`
  `setLong(int parameterIndex, long x)`
  The MVAPreparedStatement implementation of `setLong(int, long)` is not supported.
  `void`
  `setNCharacterStream(int parameterIndex, Reader value)`
  The MVAPreparedStatement implementation of `setNCharacterStream(int, java.io.Reader)` is not supported.
  `void`
  `setNCharacterStream(int parameterIndex, Reader value, long length)`
  The MVAPreparedStatement implementation of `setNCharacterStream(int, java.io.Reader, long)` is not supported.
  `void`
  `setNClob(int parameterIndex, Reader reader)`
  The MVAPreparedStatement implementation of `setNClob(int, java.io.Reader)` is not supported.
  `void`
  `setNClob(int parameterIndex, Reader reader, long length)`
  The MVAPreparedStatement implementation of `setNClob(int, java.io.Reader, long)` is not supported.
  `void`
  `setNClob(int parameterIndex, NClob value)`
  The MVAPreparedStatement implementation of `setNClob(int, java.sql.NClob)` is not supported.
  `void`
  `setNString(int parameterIndex, String value)`
  The MVAPreparedStatement implementation of `setNString(int, String)` is not supported.
  `void`
  `setNull(int parameterIndex, int sqlType)`
  The MVAPreparedStatement implementation of `setNull(int, int)` will set character columns to a blank, and numeric columns to '.', the numeric missing value.
  `void`
  `setNull(int parameterIndex, int sqlType, String x)`
  The MVAPreparedStatement implementation of `setNull(int, int, String)` is not supported.
  `void`
  `setObject(int parameterIndex, Object x)`
  `void`
  `setObject(int parameterIndex, Object x, int sqlType)`
  `void`
  `setObject(int parameterIndex, Object x, int sqlType, int scale)`
  `void`
  `setRef(int parameterIndex, Ref x)`
  The MVAPreparedStatement implementation of `setRef(int, java.sql.Ref)` is not supported.
  `void`
  `setRowId(int parameterIndex, RowId x)`
  The MVAPreparedStatement implementation of `setRowId(int, java.sql.RowId)` is not supported.
  `void`
  `setShort(int parameterIndex, short x)`
  `void`
  `setSQLXML(int parameterIndex, SQLXML xmlObject)`
  The MVAPreparedStatement implementation of `setSQLXML(int, SQLXML)` is not supported.
  `void`
  `setString(int parameterIndex, String x)`
  `void`
  `setTime(int parameterIndex, Time x)`
  `void`
  `setTime(int parameterIndex, Time x, Calendar cal)`
  `void`
  `setTimestamp(int parameterIndex, Timestamp x)`
  `void`
  `setTimestamp(int parameterIndex, Timestamp x, Calendar cal)`
  `void`
  `setUnicodeStream(int parameterIndex, InputStream x, int length)`
  The MVAPreparedStatement implementation of `setUnicodeStream(int, java.io.InputStream, int)` is not supported.
  `void`
  `setURL(int parameterIndex, URL x)`
  The MVAPreparedStatement implementation of `setURL(int, java.net.URL)` is not supported.

  ### Methods inherited from class com.sas.rio.MVAStatement

  `addBatch, addBatch2, cancel, checkClosed, clearBatch, clearWarnings, close, closeOnCompletion, createDualResultSet, createTable, deleteRioTable, deleteRioTable, deleteTable, deleteTable, execute, execute, execute, execute, execute2, executeBatch, executeQuery, executeQuery2, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate2, getConnection, getDualRioTable, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getRioTable, getRioTable, getRioUtil, getTable, getTable, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.sql.PreparedStatement

  `executeLargeUpdate, setObject, setObject`

  ### Methods inherited from interface java.sql.Statement

  `addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

  ### Methods inherited from interface java.sql.Wrapper

  `isWrapperFor, unwrap`

- ## Method Details

  - ### execute

    public boolean execute() throws SQLException
    Specified by:
      `execute` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### executeQuery

    public ResultSet executeQuery() throws SQLException
    Specified by:
      `executeQuery` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### executeUpdate

    public int executeUpdate() throws SQLException
    Specified by:
      `executeUpdate` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNull

    public void setNull(int parameterIndex, int sqlType) throws SQLException
    The MVAPreparedStatement implementation of `setNull(int, int)` will set character columns to a blank, and numeric columns to '.', the numeric missing value.

    Specified by:
      `setNull` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBoolean

    public void setBoolean(int parameterIndex, boolean x) throws SQLException
    Specified by:
      `setBoolean` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setByte

    public void setByte(int parameterIndex, byte x) throws SQLException
    Specified by:
      `setByte` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setShort

    public void setShort(int parameterIndex, short x) throws SQLException
    Specified by:
      `setShort` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setInt

    public void setInt(int parameterIndex, int x) throws SQLException
    Specified by:
      `setInt` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setLong

    public void setLong(int parameterIndex, long x) throws SQLException
    The MVAPreparedStatement implementation of `setLong(int, long)` is not supported. The SAS IOM JDBC driver does not support the BIGINT SQL type.

    Specified by:
      `setLong` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setFloat

    public void setFloat(int parameterIndex, float x) throws SQLException
    Specified by:
      `setFloat` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setDouble

    public void setDouble(int parameterIndex, double x) throws SQLException
    Specified by:
      `setDouble` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBigDecimal

    public void setBigDecimal(int parameterIndex, BigDecimal x) throws SQLException
    The MVAPreparedStatement implementation of `setLong(int, BigDecimal)` is not supported. The SAS IOM JDBC driver does not support the NUMERIC SQL type.

    Specified by:
      `setBigDecimal` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setString

    public void setString(int parameterIndex, String x) throws SQLException
    Specified by:
      `setString` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBytes

    public void setBytes(int parameterIndex, byte[] x) throws SQLException
    Sets a parameter to a Java byte array value. This method is not supported.
    Specified by:
      `setBytes` in interface `PreparedStatement`
    Throws:
      `SQLException` - This exception is always thrown because SAS software does not support SQL type BINARY.

  - ### setDate

    public void setDate(int parameterIndex, Date x) throws SQLException
    Specified by:
      `setDate` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setTime

    public void setTime(int parameterIndex, Time x) throws SQLException
    Specified by:
      `setTime` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setTimestamp

    public void setTimestamp(int parameterIndex, Timestamp x) throws SQLException
    Specified by:
      `setTimestamp` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setAsciiStream

    public void setAsciiStream(int parameterIndex, InputStream x, int length) throws SQLException
    The MVAPreparedStatement implementation of `setAsciiStream(int, java.io.InputStream, int)` is not supported.

    Specified by:
      `setAsciiStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setUnicodeStream

    public void setUnicodeStream(int parameterIndex, InputStream x, int length) throws SQLException
    The MVAPreparedStatement implementation of `setUnicodeStream(int, java.io.InputStream, int)` is not supported.

    Specified by:
      `setUnicodeStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBinaryStream

    public void setBinaryStream(int parameterIndex, InputStream x, int length) throws SQLException
    Sets a parameter to a Java java.io.InputStream. This method is not supported.
    Specified by:
      `setBinaryStream` in interface `PreparedStatement`
    Throws:
      `SQLException` - This exception is always thrown because SAS software does not support SQL type LONGVARBINARY.

  - ### clearParameters

    public void clearParameters() throws SQLException
    Specified by:
      `clearParameters` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setObject

    public void setObject(int parameterIndex, Object x, int sqlType, int scale) throws SQLException
    Specified by:
      `setObject` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setObject

    public void setObject(int parameterIndex, Object x) throws SQLException
    Specified by:
      `setObject` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setObject

    public void setObject(int parameterIndex, Object x, int sqlType) throws SQLException
    Specified by:
      `setObject` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### addBatch

    public void addBatch() throws SQLException
    Specified by:
      `addBatch` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setCharacterStream

    public void setCharacterStream(int parameterIndex, Reader reader, int length) throws SQLException
    The MVAPreparedStatement implementation of `setCharacterStream(int, java.io.Reader, int)` is not supported.

    Specified by:
      `setCharacterStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setRef

    public void setRef(int parameterIndex, Ref x) throws SQLException
    The MVAPreparedStatement implementation of `setRef(int, java.sql.Ref)` is not supported. The SAS IOM JDBC driver does not support the SQL Ref type.

    Specified by:
      `setRef` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBlob

    public void setBlob(int parameterIndex, Blob x) throws SQLException
    The MVAPreparedStatement implementation of `setBlob(int, java.sql.Blob)` is not supported. The SAS IOM JDBC driver does not support the SQL Blob type.

    Specified by:
      `setBlob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setClob

    public void setClob(int parameterIndex, Clob x) throws SQLException
    The MVAPreparedStatement implementation of `setClob(int, java.sql.Clob)` is not supported. The SAS IOM JDBC driver does not support the SQL Clob type.

    Specified by:
      `setClob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setArray

    public void setArray(int parameterIndex, Array x) throws SQLException
    The MVAPreparedStatement implementation of `setArray(int, java.sql.Array)` is not supported. The SAS IOM JDBC driver does not support the SQL Array type.

    Specified by:
      `setArray` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### getMetaData

    public ResultSetMetaData getMetaData() throws SQLException
    Specified by:
      `getMetaData` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setDate

    public void setDate(int parameterIndex, Date x, Calendar cal) throws SQLException
    Specified by:
      `setDate` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setTime

    public void setTime(int parameterIndex, Time x, Calendar cal) throws SQLException
    Specified by:
      `setTime` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setTimestamp

    public void setTimestamp(int parameterIndex, Timestamp x, Calendar cal) throws SQLException
    Specified by:
      `setTimestamp` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNull

    public void setNull(int parameterIndex, int sqlType, String x) throws SQLException
    The MVAPreparedStatement implementation of `setNull(int, int, String)` is not supported.

    Specified by:
      `setNull` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### getParameterMetaData

    public ParameterMetaData getParameterMetaData() throws SQLException
    The MVAPreparedStatement implementation of `getParameterMetaData()` is not supported.

    Specified by:
      `getParameterMetaData` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setURL

    public void setURL(int parameterIndex, URL x) throws SQLException
    The MVAPreparedStatement implementation of `setURL(int, java.net.URL)` is not supported.

    Specified by:
      `setURL` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setRowId

    public void setRowId(int parameterIndex, RowId x) throws SQLException
    The MVAPreparedStatement implementation of `setRowId(int, java.sql.RowId)` is not supported.

    Specified by:
      `setRowId` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNString

    public void setNString(int parameterIndex, String value) throws SQLException
    The MVAPreparedStatement implementation of `setNString(int, String)` is not supported.

    Specified by:
      `setNString` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNCharacterStream

    public void setNCharacterStream(int parameterIndex, Reader value, long length) throws SQLException
    The MVAPreparedStatement implementation of `setNCharacterStream(int, java.io.Reader, long)` is not supported.

    Specified by:
      `setNCharacterStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNClob

    public void setNClob(int parameterIndex, NClob value) throws SQLException
    The MVAPreparedStatement implementation of `setNClob(int, java.sql.NClob)` is not supported.

    Specified by:
      `setNClob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setClob

    public void setClob(int parameterIndex, Reader reader, long length) throws SQLException
    The MVAPreparedStatement implementation of `setClob(int, java.io.Reader, long)` is not supported.

    Specified by:
      `setClob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBlob

    public void setBlob(int parameterIndex, InputStream inputStream, long length) throws SQLException
    The MVAPreparedStatement implementation of `setBlob(int, java.io.InputStream, long)` is not supported.

    Specified by:
      `setBlob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNClob

    public void setNClob(int parameterIndex, Reader reader, long length) throws SQLException
    The MVAPreparedStatement implementation of `setNClob(int, java.io.Reader, long)` is not supported.

    Specified by:
      `setNClob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setSQLXML

    public void setSQLXML(int parameterIndex, SQLXML xmlObject) throws SQLException
    The MVAPreparedStatement implementation of `setSQLXML(int, SQLXML)` is not supported.

    Specified by:
      `setSQLXML` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setAsciiStream

    public void setAsciiStream(int parameterIndex, InputStream x, long length) throws SQLException
    The MVAPreparedStatement implementation of `setAsciiStream(int, java.io.InputStream, long)` is not supported.

    Specified by:
      `setAsciiStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBinaryStream

    public void setBinaryStream(int parameterIndex, InputStream x, long length) throws SQLException
    The MVAPreparedStatement implementation of `setBinaryStream(int, java.io.InputStream, long)` is not supported.

    Specified by:
      `setBinaryStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setCharacterStream

    public void setCharacterStream(int parameterIndex, Reader reader, long length) throws SQLException
    The MVAPreparedStatement implementation of `setCharacterStream(int, java.io.Reader, long)` is not supported.

    Specified by:
      `setCharacterStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setAsciiStream

    public void setAsciiStream(int parameterIndex, InputStream x) throws SQLException
    The MVAPreparedStatement implementation of `setAsciiStream(int, java.io.InputStream)` is not supported.

    Specified by:
      `setAsciiStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBinaryStream

    public void setBinaryStream(int parameterIndex, InputStream x) throws SQLException
    The MVAPreparedStatement implementation of `setBinaryStream(int, java.io.InputStream)` is not supported.

    Specified by:
      `setBinaryStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setCharacterStream

    public void setCharacterStream(int parameterIndex, Reader reader) throws SQLException
    The MVAPreparedStatement implementation of `setCharacterStream(int, java.io.Reader)` is not supported.

    Specified by:
      `setCharacterStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNCharacterStream

    public void setNCharacterStream(int parameterIndex, Reader value) throws SQLException
    The MVAPreparedStatement implementation of `setNCharacterStream(int, java.io.Reader)` is not supported.

    Specified by:
      `setNCharacterStream` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setClob

    public void setClob(int parameterIndex, Reader reader) throws SQLException
    The MVAPreparedStatement implementation of `setClob(int, java.io.Reader)` is not supported.

    Specified by:
      `setClob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setBlob

    public void setBlob(int parameterIndex, InputStream inputStream) throws SQLException
    The MVAPreparedStatement implementation of `setBlob(int, java.io.InputStream)` is not supported.

    Specified by:
      `setBlob` in interface `PreparedStatement`
    Throws:
      `SQLException`

  - ### setNClob

    public void setNClob(int parameterIndex, Reader reader) throws SQLException
    The MVAPreparedStatement implementation of `setNClob(int, java.io.Reader)` is not supported.

    Specified by:
      `setNClob` in interface `PreparedStatement`
    Throws:
      `SQLException`